Pages: [1]
  Print  
Author Topic: tell admins to  (Read 11723 times)
fromhell
Administrator
GET A LIFE!
**********

Cakes 35
Posts: 14519



WWW
« on: April 29, 2008, 01:53:27 AM »

update to 0.7.6 please somehow
i'm getting invalid folder reports constantly because of this
don't worry about 0.7.6 input since servers don't control the client's mouse input
Logged

asking when OA3 will be done won't get OA3 done.
Progress of OA3 currently occurs behind closed doors alone

I do not provide technical support either.

new code development on github
kilgore
Half-Nub


Cakes 0
Posts: 73


« Reply #1 on: April 29, 2008, 02:00:44 AM »

I second that motion!  Please update, admins!  You'll be so glad you did....
Logged
skankychicken
Lesser Nub


Cakes 1
Posts: 115


OpenArena 1.0.0 - /cg_roaminganimals 1 ; /cg_flipf


« Reply #2 on: April 29, 2008, 05:43:20 AM »

When I play on older servers with no download i always make sure everyone has the map before changing. Most people dont care.

So my admin is pointing console output  to a file and getting little/no aborted connections. I dont see any problem.

And if I listened to some of the people who are suggesting CPMA on my old config, well naa...


Quote
1.32
CPMA     
Showing: 336 servers / 116 players
Results are 4 minutes old

1.32
OSP
Showing: 242 servers / 110 players
Results are 5 minutes old


1.32 (Incidently two of those are mine - prob using the monster thing)
NoGhost   
Showing: 5 servers / 9 players
Results are 46 seconds old

     
1.16
NoGhost   
Showing: 192 servers / 298 players
Results are 8 minutes old

I dont think theres any point in checking the OA set.


I think i'll just go back to 1.16 and leave the existing OA servers being used. Once I start getting broken connections then it's justified. I am in no doubt that when people find a server they cant connect to they will just try another... I think this was a familiar issue before.

I connected to old servers using new upgrade.. check your config Cheesy




Logged
[TASF]Overkill
Nub


Cakes 0
Posts: 25


« Reply #3 on: April 29, 2008, 08:57:42 AM »

I upgraded briefly on my Linux server, but was getting so many scrolling errors in the console that I rolled back (though the server worked fine). That, coupled with the complaints from people running the 0.7.6 client in general has left me on 0.7.0. Several of my regulars also rolled back their clients to 0.7.0 due to various issues.

That, and the Debian package maintainer for OA has not released the package into the Stable tree yet. :-)
Logged
skankychicken
Lesser Nub


Cakes 1
Posts: 115


OpenArena 1.0.0 - /cg_roaminganimals 1 ; /cg_flipf


« Reply #4 on: April 29, 2008, 10:57:36 AM »

Overkill were you running mods? I just look at at the 'issues' forum and leave as I can't be reading through all that.

I connected to a defrag client running the old version and I had new release. I also seen someone mention that a few other servers have some compatibility. Are any cvars being used to show the version, like a random one I see here : gameversion=1.46

If so I will try NoGhost, nameit NoGhost46 or whatever the new release is identified by and is available to be used as a filter.

If it doesnt work. JACK THOMPSON
Logged
skankychicken
Lesser Nub


Cakes 1
Posts: 115


OpenArena 1.0.0 - /cg_roaminganimals 1 ; /cg_flipf


« Reply #5 on: April 29, 2008, 01:20:38 PM »

ok I've done my bit . Incredibly I managed to do it on my own the ONLY thing required was to change this.....

STARTPATH="/usr/local/games/openarena-0.7.6" <-- change 0 to 6

One single digit Cheesy

I did ask if a thread could be posted with any issues, clearly stating any potential issues. I did find one, but an easy one to fix


fs_basepath <-- ok whats the story with him? This has always been the game directory with Q3 but it points to the basegame. Once I changed it, I got this one up in a minute or so.

Now that people are complaining about file path errors and the suggested answer is for all admins to upgrade... so was this some dev mistake or change? It's either one or the other because I have two game versions running and they report a different path structure.

edit : 3 servers up
« Last Edit: April 29, 2008, 01:51:06 PM by skankychicken » Logged
kilgore
Half-Nub


Cakes 0
Posts: 73


« Reply #6 on: April 29, 2008, 04:19:32 PM »

Wait I'm confused....  just change that one digit and you can play on servers with older versions?  If that is correct, where/how do I change that number?  I'm on a mac and do not know programming...
thanks
Logged
Gerbil
Member


Cakes -2
Posts: 309


not so strong


« Reply #7 on: April 29, 2008, 05:08:10 PM »

just download the new version
http://openarena.ws/files.htm
Logged

Quote from: sploosh
there once was an animal called gerbil
he dreamed he was eating his turtle
he awoke with a frieght
in the middle of the night
to find out that he was a squirtle
skankychicken
Lesser Nub


Cakes 1
Posts: 115


OpenArena 1.0.0 - /cg_roaminganimals 1 ; /cg_flipf


« Reply #8 on: April 29, 2008, 06:10:26 PM »

COMMONARGS="+set fs_basepath  /home/gameserver/.openarena/oa-ng6-11 +set fs_hom
epath /home/gameserver/.openarena/oa-ng6-11 +set fs_basegame NoGhostPlus +set net
_port 27960 +set dedicated 1 +set fs_Game NoGhostPlus

Well I think people will want to upgrade and then be able to know that they can point their file system as it was or how they would like it to be.

I've not paid particular attention as I could see most stuff was just single user issues. For people that dont any better is there anything worth noting in a thread or somewhere. Perhaps in this guys case he will be better off upgrading but when I first installed OA my C drive was full and the game always default  at my apps folder.

Someone helped and told me I could this :
openarena.exe +set fs_homepath "D:\OpenArena\"

... call it something.bat. That wasnt too difficult to understand.
Logged
aantipop
Half-Nub


Cakes 3
Posts: 66


« Reply #9 on: April 30, 2008, 01:41:22 AM »

you can connect to 0.7.6 servers with old binarys, without sdl input, but then you will face bugs like smarine model not beeing displayed. have fun fighting vs flying lightningguns Smiley

please release a updated binary without sdl input. or make it toggle-able in the terminal
Logged
kilgore
Half-Nub


Cakes 0
Posts: 73


« Reply #10 on: April 30, 2008, 02:00:48 AM »

no no no !   I •have* the 7.6 version, but want to connect to servers running on old versions because there are hardly any servers that support 7.6.    Is there some setting I can change to be able to do that?
Logged
skankychicken
Lesser Nub


Cakes 1
Posts: 115


OpenArena 1.0.0 - /cg_roaminganimals 1 ; /cg_flipf


« Reply #11 on: April 30, 2008, 04:02:45 AM »

Just use the old game.

I've been using the new version and I'm not quite sure what you expect to see.

I seen someone in a server earlier. I'm peeved cos I upgraded and I dont get any response to my post and I have a few screen shots of strange shit with my local fs_basepath too now.

There is no setting, you  are equipped with a log, you have a command called /cvarlist - then it's  freestyle and arsing around, which is probably not recommended. There are posts urging people to upgrade but I'm not sure why. I dont think the invalid folder problem is the admins or the players fault. But it appears that if everyone upgrades all at the time all the problems will go away by magic. Maybe we need some incentive, like chase the crazy monkey on the unicycle game - with green crosshair n pm skins
Logged
kilgore
Half-Nub


Cakes 0
Posts: 73


« Reply #12 on: April 30, 2008, 07:49:03 AM »

yeah well I re-downloaded the old version so I can play online again, I guess we'll just have to wait for servers to upgrade.  Funny that on the files page it says no one plays the old version anymore.. its really quite the opposite!
But for all my complaining I'm just happy the game is still being developed
Logged
[TASF]Overkill
Nub


Cakes 0
Posts: 25


« Reply #13 on: April 30, 2008, 10:52:44 AM »

This is the kind of crap I get in the console with the new version, Linux, Debian, whether compiled myself or using the package maintainers version from UNSTABLE:

Quote
say(Kyonshi^7): I am the leader.
telteltelKilsay(Major^7): I'm the leader.
ItetelteltelIteIteItesay(Dark^7): who is the leader of this rag-tag bunch?
telteltelItesay(Major^7): I am off to get the flag.
telteltelItesay(Penguin^7): Who's the leader of this rag-tag bunch?
IteItesay(Grism^7): Sounds like a plan.
Itesay(Major^7): I lead.
say(Nekoyss^7): Sounds like a plan.
IteIteIteIteIteIteItebroadcast: print "Beret^7 got the RED flag!\n"
IteIteItetelteltelteltelteltelteltelteltelteltelteltelteltelteltelteltelKilItebroadcast: print "Grunt^7 got the BLUE flag!\n"
IteIteIteKilbroadcast: print "Sergei^7 fragged BLUE's flag carrier!\n"
telteltelteltelteltelIteteltelteltelsay(Sergei^7): Sounds like a plan.
telteltelteltelteltelKilItebroadcast: print "Sergei^7 returned the RED flag!\n"
KilKilItesay(Beret^7): I shall get our flag back.
telteltelteltelteltelteltelteltelteltelteltelteltelteltelteltelIteKilsay(Rai^7): I'm off to get the flag.


My games.log is really arfin' weird too:
Quote
slipgate:~.openarena/baseoa# tail -f games.log
  0:00 ---  0:00 Ini  0:00 War  0:10 Cli  0:10 Cli  0:10 Cli  0:10 Cli  0:10 Cli  0:10 Cli  0:10 Ite  0:12 Ite  0:18 Ite  0:18 Ite  0:19 Ite  0:20 Cli  0:20 Cli  0:20 Cli  0:20 Cli  0:20 Cli  0:20 Cli  0:23 Ite  0:23 say  0:23 Ite  0:24 say  0:24 Ite  0:25 Ite  0:26 Ite  0:26 say  0:29 Shu  0:29 ---

This is what has kept me from upgrading the server or even looking at the new client.
Logged
pikaunforgiven
Lesser Nub


Cakes 0
Posts: 143


« Reply #14 on: April 30, 2008, 11:49:18 AM »

i have an idea the main reason admins arent upgrading is the sheer lack of quality of the new client. the sdl input alone is pissing off/annoying a lot of people, so admins are balking at upgrading for fear of losing players.
personally i have both versions installed in both windows and linux (using the last released "beta" of the non-sdl version for 0.7.6 found in another thread), not sure why other people dont do the same. i never really noticed the s-marine bug, but then again i only use 0.7.1 online.
Logged
skankychicken
Lesser Nub


Cakes 1
Posts: 115


OpenArena 1.0.0 - /cg_roaminganimals 1 ; /cg_flipf


« Reply #15 on: April 30, 2008, 03:27:59 PM »

pika, its quite clear that you do not like it in it's current form so you might be more biased regarding the quality. Smiley  I also know you know what your doing so I'd be inclined to be hesitant too, even if it is because I lack knowledge.

But I done my part, I put a server up, like many others - but we now know this upgrade will be a slow process. The post to urge people to update was not enough, and of course many others cannot just stop what they are doing and have servers here and there.

it's confusing as hell.. if some people are connecting and finding they *can* connect but with bugs then it's worse.

What is the problem with the master server list ? If that was seperated then there would be no confusion, no post after post from these poor people affected by this mess.

Please.. for the sake of these people who are new, it seems they are the majority and they are the ones downloading the latest update. It's getting more messy. Is there any reason why the master server can't show the version split? If not then is there anything people can do to help?
Logged
fromhell
Administrator
GET A LIFE!
**********

Cakes 35
Posts: 14519



WWW
« Reply #16 on: May 02, 2008, 12:11:41 PM »

you can at least use the new pk3s with 0.7.1 server i mean jeez that would at least solve 'invalid game folder' for anyone who wants to play with a not-old version.
Logged

asking when OA3 will be done won't get OA3 done.
Progress of OA3 currently occurs behind closed doors alone

I do not provide technical support either.

new code development on github
[TASF]Overkill
Nub


Cakes 0
Posts: 25


« Reply #17 on: May 03, 2008, 09:04:08 AM »

I did not know that... I'll have to download them and do that.
Logged
skankychicken
Lesser Nub


Cakes 1
Posts: 115


OpenArena 1.0.0 - /cg_roaminganimals 1 ; /cg_flipf


« Reply #18 on: May 03, 2008, 09:49:50 AM »

Yea would have been good to know. *Looks at watch calendar*
Logged
jackthompson
Half-Nub


Cakes 1
Posts: 51



« Reply #19 on: May 03, 2008, 03:16:43 PM »

i would love to update all servers i'm in charge of right NOW! because i really like the new maps!

but then again is the invalid folder message not as annoying as sticking to a player when i run into him and getting fragged by a third...

so i'll wait with the update until the release of 0.7.7 ("quick fix"?) or even 0.8.0... and put the version the server uses into sv_hostname...
« Last Edit: May 03, 2008, 03:37:23 PM by jackthompson » Logged
Pages: [1]
  Print  
 
Jump to: